aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-compress-raw-zlib/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2010-03-01 09:38:26 +0000
committerLeonardo Arena <rnalrd@gmail.com>2010-03-01 09:38:26 +0000
commit4e19109dfee17a012536dc9d1b5e5c1cd5f6c32c (patch)
tree7dcbcf33ada9fd6c6287f6bcc55fb67721208351 /main/perl-compress-raw-zlib/APKBUILD
parent2f41e5b4af76a1e9a4f117059b149e6e069f6f60 (diff)
downloadaports-4e19109dfee17a012536dc9d1b5e5c1cd5f6c32c.tar.gz
aports-4e19109dfee17a012536dc9d1b5e5c1cd5f6c32c.tar.bz2
aports-4e19109dfee17a012536dc9d1b5e5c1cd5f6c32c.tar.xz
main/perl-compress-raw-zlib: new aport
Diffstat (limited to 'main/perl-compress-raw-zlib/APKBUILD')
-rw-r--r--main/perl-compress-raw-zlib/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/main/perl-compress-raw-zlib/APKBUILD b/main/perl-compress-raw-zlib/APKBUILD
new file mode 100644
index 0000000000..a5820f84c6
--- /dev/null
+++ b/main/perl-compress-raw-zlib/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-compress-raw-zlib
+_realname=Compress-Raw-Zlib
+pkgver=2.024
+pkgrel=0
+pkgdesc="Perl low-level interface to zlib compression library"
+url="http://search.cpan.org/~pmqs/Compress-Raw-Zlib-2.024/"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/${_realname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+ cd $_builddir
+ #PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL || return 1
+ make || return 1
+}
+
+package() {
+ cd $_builddir
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="5b637dbb36955b13db261f049fe529d9 Compress-Raw-Zlib-2.024.tar.gz"